For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Reference Data

Search account symbols

post
https://api.snaptrade.com/accounts/{accountId}/symbols

Returns a list of Universal Symbol objects that match the given query. The matching takes into consideration both the ticker and the name of the symbol. Only the first 20 results are returned.

The search results are further limited to the symbols supported by the brokerage for which the account is under.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Request Body
substringstring

The search query for symbols.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.referenceData.symbolSearchUserAccount(
15
{
16
accountId:
17
"917c8734-8470-4a3e-a18f-57c3f2ee6631",
18
userId: "USER_ID",
19
userSecret: "USER_SECRET",
20
substring: "AAPL",
21
},
22
);
23
console.log(response.data);

Response fields

array of objects

A list of Universal Symbol objects that match the given query.

object

Uniquely describes a single security + exchange combination across all brokerages.

1
[
2
{
3
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
4
"symbol": "VAB.TO",
5
"raw_symbol": "VAB",
6
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
7
"currency": {
8
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
9
"code": "USD",
10
"name": "US Dollar"
11
},
12
"exchange": {
13
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
14
"code": "TSX",
15
"mic_code": "XTSE",
16
"name": "Toronto Stock Exchange",
17
"timezone": "America/New_York",
18
"start_time": "09:30:00",
19
"close_time": "16:00:00",
20
"suffix": ".TO"
21
},
22
"type": {
23
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
24
"code": "cs",
25
"description": "Common Stock",
26
"is_supported": true
27
},
28
"figi_code": "BBG000B9XRY4",
29
"figi_instrument": {
30
"figi_code": "BBG000B9Y5X2",
31
"figi_share_class": "BBG001S5N8V8"
32
},
33
"currencies": [
34
{
35
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
36
"code": "USD",
37
"name": "US Dollar"
38
}
39
]
40
}
41
]